DomElement->tagname
DomNode->append_child
DOM XML Functions
PHP Manual

# DomNode->add_namespace

(No version information available, might be only in CVS)

DomNode->add_namespace — Adds a namespace declaration to a node

### Description

DOMNode
bool add_namespace ( string `$uri` , string `$prefix` )

This method adds a namespace declaration to a node.

> Note: This method is not part of the DOM specification.

### Parameters

`uri`

  The namespace URI of the node.

`prefix`

  The namespace prefix of the node.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Migrating to PHP 5

You can set the namespace URI and prefix of a DOMElement or a DOMAttr at creation time by using DOMDocument::createElementNS or DOMDocument::createAttributeNS.

> Note: Remember the an attribute does not inherit its namespace from the element it is attached to.

### See Also

- DomDocument->create_element_ns
- DomNode->set_namespace

DomElement->tagname
DomNode->append_child
DOM XML Functions
PHP Manual